Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.util
Class AceDebug

    java.lang.Object
      com.rsa.ace.techservice.util.AceDebug

    public class AceDebug

extends java.lang.Object

This class provides Ace binary data debug utilities. It provides binary data display utilities for both conversion of binary byte data to strings and also printing interfaces.

Field Summary
`static int` | `CLIENT_ADDR_LEN`

Constructor Summary
`AceDebug()`

Method Summary
`static java.lang.String` | `hexCompactString(byte[] hexData)` Compact HEX string utility.
`static java.lang.String` | `hexCompactString(byte[] hexData, int startingAtByte, int hexDataLength)` Compact HEX string utility.
`static java.lang.String` | `hexString(byte[] hexData)` Static HEX string utility.
`static java.lang.String` | `hexString(byte[] hexData, int hexDataLength)` Static HEX string utility.
`static java.lang.String` | `hexString(byte[] hexData, int startingAtByte, int hexDataLength)` Static HEX string utility.
`static java.lang.String` | `ipAddress(byte[] ipData)` Static IP Address string utility.
`static void` | `printHex(java.io.PrintStream ps, java.lang.String title, byte[] hexData)` Static HEX Output print utility.
`static void` | `printHex(java.io.PrintStream ps, java.lang.String title, byte[] hexData, int hexDataLength)` Static HEX Output print utility.
`static void` | `printHex(java.io.PrintStream ps, java.lang.String title, byte[] hexData, int startingByte, int hexDataLength)` Static HEX Output print utility.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLIENT_ADDR_LEN

    public static final int CLIENT_ADDR_LEN

See Also:
  Constant Field Values

Constructor Detail

### AceDebug

    public AceDebug()

Method Detail

### hexString

    public static java.lang.String hexString(byte[] hexData,
                                             int startingAtByte,
                                             int hexDataLength)

  Static HEX string utility.

  This make a dump string of a specific portion and length of the array passed. Format is:

  0000: 01 . 02 . 03 . 04 . 05 . 06 . 07 . 08 . 09 .

  or

  0000 [@0142]: 01 . 02 . 03 . 04 . 05 . 06 . 07 . 08 . 09 .

  for data not being dumped from the start of an data array. In this format, 0000 is the byte offset, [@0142] is the data array offset (omitted if the offset is zero), 01 is the hex byte and the . (or ?) is an ASCII character, if applicable. This also does some masking to eliminate sign- extension issues.

  Parameters:
    `hexData` - The byte array to be converted to HEX format.
    `startingAtByte` - The byte at which hex dumping should commence.
    `hexDataLength` - The length of bytes to be dumped.
  Returns:
    String A hex string representation of the array passed.

### hexCompactString

    public static java.lang.String hexCompactString(byte[] hexData,
                                                    int startingAtByte,
                                                    int hexDataLength)

  Compact HEX string utility. This make a dump string of a specific portion and length of the array passed. Format is just the hex bytes with no spaces, etc.

  Parameters:
    `hexData` - The byte array to be converted to HEX format.
    `startingAtByte` - The byte at which hex dumping should commence.
    `hexDataLength` - The length of bytes to be dumped.
  Returns:
    String A hex string representation of the array passed.

### hexCompactString

    public static java.lang.String hexCompactString(byte[] hexData)

  Compact HEX string utility. This make a dump string of a specific portion and length of the array passed. Format is just the hex bytes with no spaces, etc. This method dumps all the bytes in the array passed.

  Parameters:
    `hexData` - The byte array to be converted to HEX format.
  Returns:
    String A hex string representation of the array passed.

### hexString

    public static java.lang.String hexString(byte[] hexData,
                                             int hexDataLength)

  Static HEX string utility. This dumps a specific number of array bytes starting at the first byte.

  Parameters:
    `hexData` - The byte array to be converted to HEX format.
    `hexDataLength` - The length of bytes to be dumped.
  Returns:
    String A hex string representation of the array passed.

### hexString

    public static java.lang.String hexString(byte[] hexData)

  Static HEX string utility. This dumps the entire array from the first byte.

  Parameters:
    `hexData` - The byte array to be converted to HEX format.
  Returns:
    String A hex string representation of the array passed.

### ipAddress

    public static java.lang.String ipAddress(byte[] ipData)

  Static IP Address string utility. Expects 4 bytes for an IP.

  Parameters:
    `ipData` - The byte array to be converted to an IP address.
  Returns:
    String A hex string representation of the array passed.

### printHex

    public static void printHex(java.io.PrintStream ps,
                                java.lang.String title,
                                byte[] hexData,
                                int startingByte,
                                int hexDataLength)

  Static HEX Output print utility. This dumps a specific portion and length of the array passed. This variant adds a title and is passed a stream to which the output will be sent.

  Parameters:
    `ps` - The print stream to which the output should be sent. (System.out)
    `title` - The title placed before the output.
    `hexData` - The byte array to be dumped in HEX format.
    `startingAtByte` - The byte at which hex dumping should commence.
    `hexDataLength` - The length of bytes to be dumped.

### printHex

    public static void printHex(java.io.PrintStream ps,
                                java.lang.String title,
                                byte[] hexData,
                                int hexDataLength)

  Static HEX Output print utility. This dumps a specific number of bytes of the array passed starting at the first byte.

  Parameters:
    `ps` - The print stream to which the output should be sent. (System.out)
    `title` - The title placed before the output.
    `hexData` - The byte array to be dumped in HEX format.
    `hexDataLength` - The length of bytes to be dumped.

### printHex

    public static void printHex(java.io.PrintStream ps,
                                java.lang.String title,
                                byte[] hexData)

  Static HEX Output print utility. This prints the entire array passed.

  Parameters:
    `ps` - The print stream to which the output should be sent. (System.out)
    `title` - The title placed before the output.
    `hexData` - The byte array to be dumped in HEX format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.